<?
include_once("include/zag.php");
if (isset($user)) {
$go=rand(0,10);
if(!@file("local/time/$log.dat")){
$save=time()+60;
$text="$save:||:";
$fp=fopen("local/time/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$text = @file("local/time/$log.dat");
$timer = explode(":||:",$text[0]);
echo"Осталось бежать <b>$timer[0]</b>секунд<br/><a href=\"timer.php?$sd&go=$go\">Бежать</a>";
}else{
$text = @file("local/time/$log.dat");
$timer = explode(":||:",$text[0]);

$oper=$timer[0]-time()+10800;    //оставшееся время
$sek=date("s",$oper);
$zdat=$sek-1;
$text=$zdat.':||:';
$fp=fopen("local/time/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Осталось бежать <b>$zdat</b>секунд<br/><a href=\"timer.php?$sd&go=$go\">Бежать</a>";
}
}else{echo"<small>Пароль или логин неверен!</small>";}
include_once("include/down.php");
?>
